@import '../../variables.scss';

.navigation {
  width: 100%;
  background-color: rgba($gray, 0.15);
  border: 1px solid $gray;
  border-radius: 0.25rem;

  &__tab {
    display: block;
    width: 100%;
    text-transform: uppercase;
    color: $gray-dark;
    margin-right: 0.5rem;
    color: $blue;
    padding: 1.5rem 2rem;
    border-bottom: 1px solid $gray;
    border-left: 0.25rem solid transparent;
    text-align: start;
    text-decoration: none;
    transition: color 0.2s ease, border-left-color 0.2s ease, background-color 0.2s ease;

    &--selected {
      border-left-color: $blue;
      color: $gray-dark;
      background-color: rgba($gray, 0.25);
      cursor: default;
    }

    &--top {
      border-top-left-radius: 0.25rem;
    }

    &--bottom {
      border-bottom-left-radius: 0.25rem;
      border-bottom: none;
    }
  }
}

@media (min-width: $lg) {
  .navigation {
    height: initial;
    width: 15rem;
    margin-right: 2rem;
  }
}
